<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.unis.base.server.dao.SinkpointRecordsDao" >
  <resultMap id="BaseResultMap" type="com.unis.base.server.entity.SinkpointRecordsDO" >
    <id column="KDBABH" property="kdbabh" jdbcType="VARCHAR" />
    <result column="KDDM" property="kddm" jdbcType="VARCHAR" />
    <result column="KDMC" property="kdmc" jdbcType="VARCHAR" />
    <result column="KDJC" property="kdjc" jdbcType="VARCHAR" />
    <result column="KDQYXZ" property="kdqyxz" jdbcType="VARCHAR" />
    <result column="TYSHXYDM" property="tyshxydm" jdbcType="VARCHAR" />
    <result column="QYMC" property="qymc" jdbcType="VARCHAR" />
    <result column="LKLB" property="lklb" jdbcType="VARCHAR" />
    <result column="JCRQ" property="jcrq" jdbcType="DATE" />
    <result column="SJCR" property="sjcr" jdbcType="DECIMAL" />
    <result column="KDYXCR" property="kdyxcr" jdbcType="DECIMAL" />
    <result column="XZQHMC" property="xzqhmc" jdbcType="VARCHAR" />
    <result column="XZQHDM" property="xzqhdm" jdbcType="VARCHAR" />
    <result column="CFS" property="cfs" jdbcType="DECIMAL" />
    <result column="YZKQS" property="yzkqs" jdbcType="DECIMAL" />
    <result column="YGSL" property="ygsl" jdbcType="DECIMAL" />
    <result column="YXGR" property="yxgr" jdbcType="DECIMAL" />
    <result column="KDMJ" property="kdmj" jdbcType="DECIMAL" />
    <result column="KDDH" property="kddh" jdbcType="VARCHAR" />
    <result column="KDDZ" property="kddz" jdbcType="VARCHAR" />
    <result column="KDCZ" property="kdcz" jdbcType="VARCHAR" />
    <result column="KDYB" property="kdyb" jdbcType="VARCHAR" />
    <result column="KDJD" property="kdjd" jdbcType="VARCHAR" />
    <result column="KDWD" property="kdwd" jdbcType="VARCHAR" />
    <result column="JLGLLB" property="jlgllb" jdbcType="VARCHAR" />
    <result column="JLGLJL" property="jlgljl" jdbcType="DECIMAL" />
    <result column="SFFHWRY" property="sffhwry" jdbcType="VARCHAR" />
    <result column="YWXFSY" property="ywxfsy" jdbcType="VARCHAR" />
    <result column="YWXFSS" property="ywxfss" jdbcType="VARCHAR" />
    <result column="YWJHYS" property="ywjhys" jdbcType="VARCHAR" />
    <result column="JCCSB_QCH" property="jccsbQch" jdbcType="DECIMAL" />
    <result column="FHBZNX" property="fhbznx" jdbcType="DECIMAL" />
    <result column="SFZNHSJGZ" property="sfznhsjgz" jdbcType="VARCHAR" />
    <result column="BHCGZT" property="bhcgzt" jdbcType="DECIMAL" />
    <result column="CGBH" property="cgbh" jdbcType="VARCHAR" />
    <result column="CGRL" property="cgrl" jdbcType="DECIMAL" />
    <result column="TLZYX" property="tlzyx" jdbcType="DECIMAL" />
    <result column="YXCD" property="yxcd" jdbcType="DECIMAL" />
    <result column="MTBW" property="mtbw" jdbcType="DECIMAL" />
    <result column="ZDW" property="zdw" jdbcType="DECIMAL" />
    <result column="PTFSSSQK" property="ptfsssqk" jdbcType="VARCHAR" />
    <result column="ZCYZ" property="zcyz" jdbcType="DECIMAL" />
    <result column="ZCPGXZ" property="zcpgxz" jdbcType="DECIMAL" />
    <result column="BGCLLB" property="bgcllb" jdbcType="DECIMAL" />
    <result column="SFBA" property="sfba" jdbcType="DECIMAL" />
    <result column="SPYJ" property="spyj" jdbcType="VARCHAR" />
    <result column="SHRYBH" property="shrybh" jdbcType="VARCHAR" />
    <result column="SHRYMC" property="shrymc" jdbcType="VARCHAR" />
    <result column="SHBMBH" property="shbmbh" jdbcType="VARCHAR" />
    <result column="SHBMMC" property="shbmmc" jdbcType="VARCHAR" />
    <result column="STATUS" property="status" jdbcType="DECIMAL" />
    <result column="CREATOR" property="creator" jdbcType="VARCHAR" />
    <result column="CREATOR_CODE" property="creatorCode" jdbcType="VARCHAR" />
    <result column="CREATE_DATE" property="createDate" jdbcType="TIMESTAMP" />
    <result column="REFRESHER" property="refresher" jdbcType="VARCHAR" />
    <result column="REFRESHER_CODE" property="refresherCode" jdbcType="VARCHAR" />
    <result column="REFRESH_TIME" property="refreshTime" jdbcType="TIMESTAMP" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
    <result column="BASJ" property="basj" jdbcType="DATE" />
    <result column="LC_ID" property="lcId" jdbcType="VARCHAR" />
    <result column="BADWMC" property="badwmc" jdbcType="VARCHAR" />
    <result column="BADWDM" property="badwdm" jdbcType="VARCHAR" />
    <result column="BADWDZ" property="badwdz" jdbcType="VARCHAR" />
    <result column="BADWXZ" property="badwxz" jdbcType="VARCHAR" />
    <result column="LSGX" property="lsgx" jdbcType="VARCHAR" />
    <result column="BAQK" property="baqk" jdbcType="DECIMAL" />
    <result column="FRDB" property="frdb" jdbcType="VARCHAR" />
    <result column="LXDH" property="lxdh" jdbcType="VARCHAR" />
    <result column="CGMC" property="cgmc" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List_common" >
    kd.KDBABH, kd.KDDM, kd.KDMC, kd.KDJC, kd.KDQYXZ, kd.TYSHXYDM, kd.QYMC, kd.LKLB, kd.JCRQ, kd.SJCR, kd.KDYXCR,
    kd.XZQHMC, kd.XZQHDM, kd.CFS, kd.YZKQS, kd.YGSL, kd.YXGR, kd.KDMJ, kd.KDDH, kd.KDDZ, kd.KDCZ, kd.KDYB, kd.KDJD,
    kd.KDWD, kd.JLGLLB, kd.JLGLJL, kd.SFFHWRY, kd.YWXFSY, kd.YWXFSS, kd.YWJHYS, kd.JCCSB_QCH, kd.FHBZNX, kd.SFZNHSJGZ,
    kd.BHCGZT, kd.CGBH, kd.CGRL, kd.TLZYX, kd.YXCD, kd.MTBW, kd.ZDW, kd.PTFSSSQK, kd.ZCYZ, kd.ZCPGXZ, kd.BGCLLB,
    kd.SFBA, kd.SPYJ, kd.SHRYBH, kd.SHRYMC, kd.SHBMBH, kd.SHBMMC, kd.STATUS, kd.CREATOR, kd.CREATOR_CODE,
    kd.CREATE_DATE, kd.REFRESHER, kd.REFRESHER_CODE, kd.REFRESH_TIME, kd.REMARK, kd.BASJ, kd.LC_ID, kd.BADWMC,
    kd.BADWDM, kd.BADWDZ, kd.BADWXZ, kd.LSGX, kd.BAQK, kd.FRDB, kd.LXDH, kd.CGMC
  </sql>

  <!-- 根据参数获取库点记录列表 -->
  <select id="getSinkpointRecordsList" parameterType="com.unis.base.common.vo.SinkpointRecordsQueryVO" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List_common"></include>
    from
    D_KDXXSJY_HIS kd
    <where>
      kd.status = 1
      <!-- 备案编号 -->
      <if test="kdbabh != null and kdbabh != ''" >
        and	kd.kdbabh LIKE concat(CONCAT('%',#{kdbabh,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 所属企业代码 -->
      <if test="tyshxydm != null and tyshxydm != ''" >
        and	kd.tyshxydm LIKE concat(CONCAT('%',#{tyshxydm,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 备案单位地址 -->
      <if test="badwdz != null and badwdz != ''" >
        and	kd.badwdz LIKE concat(CONCAT('%',#{badwdz,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 是否备案 -->
      <if test='sfba != null'>
        and kd.SFBA = #{sfba,jdbcType=DECIMAL}
      </if>
    </where>
    ORDER BY kd.kdbabh desc
  </select>

  <!-- 获取库点记录详情 -->
  <select id="getSinkpointRecordsInfo" parameterType="java.lang.String" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List_common"></include>
    from
    D_KDXXSJY_HIS kd
    <where>
      kd.kdbabh = #{kdbabh,jdbcType=VARCHAR}
      and kd.STATUS = 1
    </where>
  </select>

  <!--获取最大设备编号-->
  <select id="getMaxById" parameterType="java.lang.String" resultType="java.lang.String">
    SELECT
    max(kd.kdbabh)
    from
    D_KDXXSJY_HIS kd
    <where>
      kd.kdbabh like CONCAT(#{prefix,jdbcType=VARCHAR},'%')
    </where>
  </select>

  <!--新增库点记录-->
  <!-- 
  <insert id="insert" parameterType="com.unis.base.server.entity.SinkpointRecordsDO" >
    insert into D_KDXXSJY_HIS
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="kdbabh != null" >
        KDBABH,
      </if>
      <if test="kddm != null" >
        KDDM,
      </if>
      <if test="kdmc != null" >
        KDMC,
      </if>
      <if test="kdjc != null" >
        KDJC,
      </if>
      <if test="kdqyxz != null" >
        KDQYXZ,
      </if>
      <if test="tyshxydm != null" >
        TYSHXYDM,
      </if>
      <if test="qymc != null" >
        QYMC,
      </if>
      <if test="lklb != null" >
        LKLB,
      </if>
      <if test="jcrq != null" >
        JCRQ,
      </if>
      <if test="sjcr != null" >
        SJCR,
      </if>
      <if test="kdyxcr != null" >
        KDYXCR,
      </if>
      <if test="xzqhmc != null" >
        XZQHMC,
      </if>
      <if test="xzqhdm != null" >
        XZQHDM,
      </if>
      <if test="cfs != null" >
        CFS,
      </if>
      <if test="yzkqs != null" >
        YZKQS,
      </if>
      <if test="ygsl != null" >
        YGSL,
      </if>
      <if test="yxgr != null" >
        YXGR,
      </if>
      <if test="kdmj != null" >
        KDMJ,
      </if>
      <if test="kddh != null" >
        KDDH,
      </if>
      <if test="kddz != null" >
        KDDZ,
      </if>
      <if test="kdcz != null" >
        KDCZ,
      </if>
      <if test="kdyb != null" >
        KDYB,
      </if>
      <if test="kdjd != null" >
        KDJD,
      </if>
      <if test="kdwd != null" >
        KDWD,
      </if>
      <if test="jlgllb != null" >
        JLGLLB,
      </if>
      <if test="jlgljl != null" >
        JLGLJL,
      </if>
      <if test="sffhwry != null" >
        SFFHWRY,
      </if>
      <if test="ywxfsy != null" >
        YWXFSY,
      </if>
      <if test="ywxfss != null" >
        YWXFSS,
      </if>
      <if test="ywjhys != null" >
        YWJHYS,
      </if>
      <if test="jccsbQch != null" >
        JCCSB_QCH,
      </if>
      <if test="fhbznx != null" >
        FHBZNX,
      </if>
      <if test="sfznhsjgz != null" >
        SFZNHSJGZ,
      </if>
      <if test="bhcgzt != null" >
        BHCGZT,
      </if>
      <if test="cgbh != null" >
        CGBH,
      </if>
      <if test="cgrl != null" >
        CGRL,
      </if>
      <if test="tlzyx != null" >
        TLZYX,
      </if>
      <if test="yxcd != null" >
        YXCD,
      </if>
      <if test="mtbw != null" >
        MTBW,
      </if>
      <if test="zdw != null" >
        ZDW,
      </if>
      <if test="ptfsssqk != null" >
        PTFSSSQK,
      </if>
      <if test="zcyz != null" >
        ZCYZ,
      </if>
      <if test="zcpgxz != null" >
        ZCPGXZ,
      </if>
      <if test="bgcllb != null" >
        BGCLLB,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
      <if test="spyj != null" >
        SPYJ,
      </if>
      <if test="shrybh != null" >
        SHRYBH,
      </if>
      <if test="shrymc != null" >
        SHRYMC,
      </if>
      <if test="shbmbh != null" >
        SHBMBH,
      </if>
      <if test="shbmmc != null" >
        SHBMMC,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
      <if test="basj != null" >
        BASJ,
      </if>
      <if test="lcId != null" >
        LC_ID,
      </if>
      <if test="badwmc != null" >
        BADWMC,
      </if>
      <if test="badwdm != null" >
        BADWDM,
      </if>
      <if test="badwdz != null" >
        BADWDZ,
      </if>
      <if test="badwxz != null" >
        BADWXZ,
      </if>
      <if test="lsgx != null" >
        LSGX,
      </if>
      <if test="baqk != null" >
        BAQK,
      </if>
      <if test="frdb != null" >
        FRDB,
      </if>
      <if test="lxdh != null" >
        LXDH,
      </if>
      <if test="cgmc != null" >
        CGMC,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="kdbabh != null" >
        #{kdbabh,jdbcType=VARCHAR},
      </if>
      <if test="kddm != null" >
        #{kddm,jdbcType=VARCHAR},
      </if>
      <if test="kdmc != null" >
        #{kdmc,jdbcType=VARCHAR},
      </if>
      <if test="kdjc != null" >
        #{kdjc,jdbcType=VARCHAR},
      </if>
      <if test="kdqyxz != null" >
        #{kdqyxz,jdbcType=VARCHAR},
      </if>
      <if test="tyshxydm != null" >
        #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="qymc != null" >
        #{qymc,jdbcType=VARCHAR},
      </if>
      <if test="lklb != null" >
        #{lklb,jdbcType=VARCHAR},
      </if>
      <if test="jcrq != null" >
        #{jcrq,jdbcType=DATE},
      </if>
      <if test="sjcr != null" >
        #{sjcr,jdbcType=DECIMAL},
      </if>
      <if test="kdyxcr != null" >
        #{kdyxcr,jdbcType=DECIMAL},
      </if>
      <if test="xzqhmc != null" >
        #{xzqhmc,jdbcType=VARCHAR},
      </if>
      <if test="xzqhdm != null" >
        #{xzqhdm,jdbcType=VARCHAR},
      </if>
      <if test="cfs != null" >
        #{cfs,jdbcType=DECIMAL},
      </if>
      <if test="yzkqs != null" >
        #{yzkqs,jdbcType=DECIMAL},
      </if>
      <if test="ygsl != null" >
        #{ygsl,jdbcType=DECIMAL},
      </if>
      <if test="yxgr != null" >
        #{yxgr,jdbcType=DECIMAL},
      </if>
      <if test="kdmj != null" >
        #{kdmj,jdbcType=DECIMAL},
      </if>
      <if test="kddh != null" >
        #{kddh,jdbcType=VARCHAR},
      </if>
      <if test="kddz != null" >
        #{kddz,jdbcType=VARCHAR},
      </if>
      <if test="kdcz != null" >
        #{kdcz,jdbcType=VARCHAR},
      </if>
      <if test="kdyb != null" >
        #{kdyb,jdbcType=VARCHAR},
      </if>
      <if test="kdjd != null" >
        #{kdjd,jdbcType=VARCHAR},
      </if>
      <if test="kdwd != null" >
        #{kdwd,jdbcType=VARCHAR},
      </if>
      <if test="jlgllb != null" >
        #{jlgllb,jdbcType=VARCHAR},
      </if>
      <if test="jlgljl != null" >
        #{jlgljl,jdbcType=DECIMAL},
      </if>
      <if test="sffhwry != null" >
        #{sffhwry,jdbcType=VARCHAR},
      </if>
      <if test="ywxfsy != null" >
        #{ywxfsy,jdbcType=VARCHAR},
      </if>
      <if test="ywxfss != null" >
        #{ywxfss,jdbcType=VARCHAR},
      </if>
      <if test="ywjhys != null" >
        #{ywjhys,jdbcType=VARCHAR},
      </if>
      <if test="jccsbQch != null" >
        #{jccsbQch,jdbcType=DECIMAL},
      </if>
      <if test="fhbznx != null" >
        #{fhbznx,jdbcType=DECIMAL},
      </if>
      <if test="sfznhsjgz != null" >
        #{sfznhsjgz,jdbcType=VARCHAR},
      </if>
      <if test="bhcgzt != null" >
        #{bhcgzt,jdbcType=DECIMAL},
      </if>
      <if test="cgbh != null" >
        #{cgbh,jdbcType=VARCHAR},
      </if>
      <if test="cgrl != null" >
        #{cgrl,jdbcType=DECIMAL},
      </if>
      <if test="tlzyx != null" >
        #{tlzyx,jdbcType=DECIMAL},
      </if>
      <if test="yxcd != null" >
        #{yxcd,jdbcType=DECIMAL},
      </if>
      <if test="mtbw != null" >
        #{mtbw,jdbcType=DECIMAL},
      </if>
      <if test="zdw != null" >
        #{zdw,jdbcType=DECIMAL},
      </if>
      <if test="ptfsssqk != null" >
        #{ptfsssqk,jdbcType=VARCHAR},
      </if>
      <if test="zcyz != null" >
        #{zcyz,jdbcType=DECIMAL},
      </if>
      <if test="zcpgxz != null" >
        #{zcpgxz,jdbcType=DECIMAL},
      </if>
      <if test="bgcllb != null" >
        #{bgcllb,jdbcType=DECIMAL},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
      <if test="basj != null" >
        #{basj,jdbcType=DATE},
      </if>
      <if test="lcId != null" >
        #{lcId,jdbcType=VARCHAR},
      </if>
      <if test="badwmc != null" >
        #{badwmc,jdbcType=VARCHAR},
      </if>
      <if test="badwdm != null" >
        #{badwdm,jdbcType=VARCHAR},
      </if>
      <if test="badwdz != null" >
        #{badwdz,jdbcType=VARCHAR},
      </if>
      <if test="badwxz != null" >
        #{badwxz,jdbcType=VARCHAR},
      </if>
      <if test="lsgx != null" >
        #{lsgx,jdbcType=VARCHAR},
      </if>
      <if test="baqk != null" >
        #{baqk,jdbcType=DECIMAL},
      </if>
      <if test="frdb != null" >
        #{frdb,jdbcType=VARCHAR},
      </if>
      <if test="lxdh != null" >
        #{lxdh,jdbcType=VARCHAR},
      </if>
      <if test="cgmc != null" >
        #{cgmc,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
 -->
 
 
  <!--更新库点记录-->
  <!--
  <update id="update" parameterType="com.unis.base.server.entity.SinkpointRecordsDO" >
    update D_KDXXSJY_HIS
    <set >
      <if test="kddm != null" >
        KDDM = #{kddm,jdbcType=VARCHAR},
      </if>
      <if test="kdmc != null" >
        KDMC = #{kdmc,jdbcType=VARCHAR},
      </if>
      <if test="kdjc != null" >
        KDJC = #{kdjc,jdbcType=VARCHAR},
      </if>
      <if test="kdqyxz != null" >
        KDQYXZ = #{kdqyxz,jdbcType=VARCHAR},
      </if>
      <if test="tyshxydm != null" >
        TYSHXYDM = #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="qymc != null" >
        QYMC = #{qymc,jdbcType=VARCHAR},
      </if>
      <if test="lklb != null" >
        LKLB = #{lklb,jdbcType=VARCHAR},
      </if>
      <if test="jcrq != null" >
        JCRQ = #{jcrq,jdbcType=DATE},
      </if>
      <if test="sjcr != null" >
        SJCR = #{sjcr,jdbcType=DECIMAL},
      </if>
      <if test="kdyxcr != null" >
        KDYXCR = #{kdyxcr,jdbcType=DECIMAL},
      </if>
      <if test="xzqhmc != null" >
        XZQHMC = #{xzqhmc,jdbcType=VARCHAR},
      </if>
      <if test="xzqhdm != null" >
        XZQHDM = #{xzqhdm,jdbcType=VARCHAR},
      </if>
      <if test="cfs != null" >
        CFS = #{cfs,jdbcType=DECIMAL},
      </if>
      <if test="yzkqs != null" >
        YZKQS = #{yzkqs,jdbcType=DECIMAL},
      </if>
      <if test="ygsl != null" >
        YGSL = #{ygsl,jdbcType=DECIMAL},
      </if>
      <if test="yxgr != null" >
        YXGR = #{yxgr,jdbcType=DECIMAL},
      </if>
      <if test="kdmj != null" >
        KDMJ = #{kdmj,jdbcType=DECIMAL},
      </if>
      <if test="kddh != null" >
        KDDH = #{kddh,jdbcType=VARCHAR},
      </if>
      <if test="kddz != null" >
        KDDZ = #{kddz,jdbcType=VARCHAR},
      </if>
      <if test="kdcz != null" >
        KDCZ = #{kdcz,jdbcType=VARCHAR},
      </if>
      <if test="kdyb != null" >
        KDYB = #{kdyb,jdbcType=VARCHAR},
      </if>
      <if test="kdjd != null" >
        KDJD = #{kdjd,jdbcType=VARCHAR},
      </if>
      <if test="kdwd != null" >
        KDWD = #{kdwd,jdbcType=VARCHAR},
      </if>
      <if test="jlgllb != null" >
        JLGLLB = #{jlgllb,jdbcType=VARCHAR},
      </if>
      <if test="jlgljl != null" >
        JLGLJL = #{jlgljl,jdbcType=DECIMAL},
      </if>
      <if test="sffhwry != null" >
        SFFHWRY = #{sffhwry,jdbcType=VARCHAR},
      </if>
      <if test="ywxfsy != null" >
        YWXFSY = #{ywxfsy,jdbcType=VARCHAR},
      </if>
      <if test="ywxfss != null" >
        YWXFSS = #{ywxfss,jdbcType=VARCHAR},
      </if>
      <if test="ywjhys != null" >
        YWJHYS = #{ywjhys,jdbcType=VARCHAR},
      </if>
      <if test="jccsbQch != null" >
        JCCSB_QCH = #{jccsbQch,jdbcType=DECIMAL},
      </if>
      <if test="fhbznx != null" >
        FHBZNX = #{fhbznx,jdbcType=DECIMAL},
      </if>
      <if test="sfznhsjgz != null" >
        SFZNHSJGZ = #{sfznhsjgz,jdbcType=VARCHAR},
      </if>
      <if test="bhcgzt != null" >
        BHCGZT = #{bhcgzt,jdbcType=DECIMAL},
      </if>
      <if test="cgbh != null" >
        CGBH = #{cgbh,jdbcType=VARCHAR},
      </if>
      <if test="cgrl != null" >
        CGRL = #{cgrl,jdbcType=DECIMAL},
      </if>
      <if test="tlzyx != null" >
        TLZYX = #{tlzyx,jdbcType=DECIMAL},
      </if>
      <if test="yxcd != null" >
        YXCD = #{yxcd,jdbcType=DECIMAL},
      </if>
      <if test="mtbw != null" >
        MTBW = #{mtbw,jdbcType=DECIMAL},
      </if>
      <if test="zdw != null" >
        ZDW = #{zdw,jdbcType=DECIMAL},
      </if>
      <if test="ptfsssqk != null" >
        PTFSSSQK = #{ptfsssqk,jdbcType=VARCHAR},
      </if>
      <if test="zcyz != null" >
        ZCYZ = #{zcyz,jdbcType=DECIMAL},
      </if>
      <if test="zcpgxz != null" >
        ZCPGXZ = #{zcpgxz,jdbcType=DECIMAL},
      </if>
      <if test="bgcllb != null" >
        BGCLLB = #{bgcllb,jdbcType=DECIMAL},
      </if>
      <if test="sfba != null" >
        SFBA = #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        SPYJ = #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        SHRYBH = #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        SHRYMC = #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        SHBMBH = #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        SHBMMC = #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        STATUS = #{status,jdbcType=DECIMAL},
      </if>
      <if test="refresher != null" >
        REFRESHER = #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE = #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
      </if>
      <if test="remark != null" >
        REMARK = #{remark,jdbcType=VARCHAR},
      </if>
      <if test="basj != null" >
        BASJ = #{basj,jdbcType=DATE},
      </if>
      <if test="lcId != null" >
        LC_ID = #{lcId,jdbcType=VARCHAR},
      </if>
      <if test="badwmc != null" >
        BADWMC = #{badwmc,jdbcType=VARCHAR},
      </if>
      <if test="badwdm != null" >
        BADWDM = #{badwdm,jdbcType=VARCHAR},
      </if>
      <if test="badwdz != null" >
        BADWDZ = #{badwdz,jdbcType=VARCHAR},
      </if>
      <if test="badwxz != null" >
        BADWXZ = #{badwxz,jdbcType=VARCHAR},
      </if>
      <if test="lsgx != null" >
        LSGX = #{lsgx,jdbcType=VARCHAR},
      </if>
      <if test="baqk != null" >
        BAQK = #{baqk,jdbcType=DECIMAL},
      </if>
      <if test="frdb != null" >
        FRDB = #{frdb,jdbcType=VARCHAR},
      </if>
      <if test="lxdh != null" >
        LXDH = #{lxdh,jdbcType=VARCHAR},
      </if>
      <if test="cgmc != null" >
        CGMC = #{cgmc,jdbcType=VARCHAR},
      </if>
      REFRESH_TIME = NOW()
    </set>
    where KDBABH = #{kdbabh,jdbcType=VARCHAR}
  </update>

 -->

<!-- 
  <update id="updateByPrimaryKeySelective" parameterType="com.unis.base.server.entity.SinkpointRecordsDO" >
    update D_KDXXSJY_HIS
    <set >
      <if test="kddm != null" >
        KDDM = #{kddm,jdbcType=VARCHAR},
      </if>
      <if test="kdmc != null" >
        KDMC = #{kdmc,jdbcType=VARCHAR},
      </if>
      <if test="kdjc != null" >
        KDJC = #{kdjc,jdbcType=VARCHAR},
      </if>
      <if test="kdqyxz != null" >
        KDQYXZ = #{kdqyxz,jdbcType=VARCHAR},
      </if>
      <if test="tyshxydm != null" >
        TYSHXYDM = #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="qymc != null" >
        QYMC = #{qymc,jdbcType=VARCHAR},
      </if>
      <if test="lklb != null" >
        LKLB = #{lklb,jdbcType=VARCHAR},
      </if>
      <if test="jcrq != null" >
        JCRQ = #{jcrq,jdbcType=DATE},
      </if>
      <if test="sjcr != null" >
        SJCR = #{sjcr,jdbcType=DECIMAL},
      </if>
      <if test="kdyxcr != null" >
        KDYXCR = #{kdyxcr,jdbcType=DECIMAL},
      </if>
      <if test="xzqhmc != null" >
        XZQHMC = #{xzqhmc,jdbcType=VARCHAR},
      </if>
      <if test="xzqhdm != null" >
        XZQHDM = #{xzqhdm,jdbcType=VARCHAR},
      </if>
      <if test="cfs != null" >
        CFS = #{cfs,jdbcType=DECIMAL},
      </if>
      <if test="yzkqs != null" >
        YZKQS = #{yzkqs,jdbcType=DECIMAL},
      </if>
      <if test="ygsl != null" >
        YGSL = #{ygsl,jdbcType=DECIMAL},
      </if>
      <if test="yxgr != null" >
        YXGR = #{yxgr,jdbcType=DECIMAL},
      </if>
      <if test="kdmj != null" >
        KDMJ = #{kdmj,jdbcType=DECIMAL},
      </if>
      <if test="kddh != null" >
        KDDH = #{kddh,jdbcType=VARCHAR},
      </if>
      <if test="kddz != null" >
        KDDZ = #{kddz,jdbcType=VARCHAR},
      </if>
      <if test="kdcz != null" >
        KDCZ = #{kdcz,jdbcType=VARCHAR},
      </if>
      <if test="kdyb != null" >
        KDYB = #{kdyb,jdbcType=VARCHAR},
      </if>
      <if test="kdjd != null" >
        KDJD = #{kdjd,jdbcType=VARCHAR},
      </if>
      <if test="kdwd != null" >
        KDWD = #{kdwd,jdbcType=VARCHAR},
      </if>
      <if test="jlgllb != null" >
        JLGLLB = #{jlgllb,jdbcType=VARCHAR},
      </if>
      <if test="jlgljl != null" >
        JLGLJL = #{jlgljl,jdbcType=DECIMAL},
      </if>
      <if test="sffhwry != null" >
        SFFHWRY = #{sffhwry,jdbcType=VARCHAR},
      </if>
      <if test="ywxfsy != null" >
        YWXFSY = #{ywxfsy,jdbcType=VARCHAR},
      </if>
      <if test="ywxfss != null" >
        YWXFSS = #{ywxfss,jdbcType=VARCHAR},
      </if>
      <if test="ywjhys != null" >
        YWJHYS = #{ywjhys,jdbcType=VARCHAR},
      </if>
      <if test="jccsbQch != null" >
        JCCSB_QCH = #{jccsbQch,jdbcType=DECIMAL},
      </if>
      <if test="fhbznx != null" >
        FHBZNX = #{fhbznx,jdbcType=DECIMAL},
      </if>
      <if test="sfznhsjgz != null" >
        SFZNHSJGZ = #{sfznhsjgz,jdbcType=VARCHAR},
      </if>
      <if test="bhcgzt != null" >
        BHCGZT = #{bhcgzt,jdbcType=DECIMAL},
      </if>
      <if test="cgbh != null" >
        CGBH = #{cgbh,jdbcType=VARCHAR},
      </if>
      <if test="cgrl != null" >
        CGRL = #{cgrl,jdbcType=DECIMAL},
      </if>
      <if test="tlzyx != null" >
        TLZYX = #{tlzyx,jdbcType=DECIMAL},
      </if>
      <if test="yxcd != null" >
        YXCD = #{yxcd,jdbcType=DECIMAL},
      </if>
      <if test="mtbw != null" >
        MTBW = #{mtbw,jdbcType=DECIMAL},
      </if>
      <if test="zdw != null" >
        ZDW = #{zdw,jdbcType=DECIMAL},
      </if>
      <if test="ptfsssqk != null" >
        PTFSSSQK = #{ptfsssqk,jdbcType=VARCHAR},
      </if>
      <if test="zcyz != null" >
        ZCYZ = #{zcyz,jdbcType=DECIMAL},
      </if>
      <if test="zcpgxz != null" >
        ZCPGXZ = #{zcpgxz,jdbcType=DECIMAL},
      </if>
      <if test="bgcllb != null" >
        BGCLLB = #{bgcllb,jdbcType=DECIMAL},
      </if>
      <if test="sfba != null" >
        SFBA = #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        SPYJ = #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        SHRYBH = #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        SHRYMC = #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        SHBMBH = #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        SHBMMC = #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        STATUS = #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        CREATOR = #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE = #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        CREATE_DATE = #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        REFRESHER = #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE = #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME = #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        REMARK = #{remark,jdbcType=VARCHAR},
      </if>
      <if test="basj != null" >
        BASJ = #{basj,jdbcType=DATE},
      </if>
      <if test="lcId != null" >
        LC_ID = #{lcId,jdbcType=VARCHAR},
      </if>
      <if test="badwmc != null" >
        BADWMC = #{badwmc,jdbcType=VARCHAR},
      </if>
      <if test="badwdm != null" >
        BADWDM = #{badwdm,jdbcType=VARCHAR},
      </if>
      <if test="badwdz != null" >
        BADWDZ = #{badwdz,jdbcType=VARCHAR},
      </if>
      <if test="badwxz != null" >
        BADWXZ = #{badwxz,jdbcType=VARCHAR},
      </if>
      <if test="lsgx != null" >
        LSGX = #{lsgx,jdbcType=VARCHAR},
      </if>
      <if test="baqk != null" >
        BAQK = #{baqk,jdbcType=DECIMAL},
      </if>
      <if test="frdb != null" >
        FRDB = #{frdb,jdbcType=VARCHAR},
      </if>
      <if test="lxdh != null" >
        LXDH = #{lxdh,jdbcType=VARCHAR},
      </if>
      <if test="cgmc != null" >
        CGMC = #{cgmc,jdbcType=VARCHAR},
      </if>
    </set>
    where KDBABH = #{kdbabh,jdbcType=VARCHAR}
  </update>
   -->

<!-- 
  <update id="updateByPrimaryKey" parameterType="com.unis.base.server.entity.SinkpointRecordsDO" >
    update D_KDXXSJY_HIS
    set KDDM = #{kddm,jdbcType=VARCHAR},
      KDMC = #{kdmc,jdbcType=VARCHAR},
      KDJC = #{kdjc,jdbcType=VARCHAR},
      KDQYXZ = #{kdqyxz,jdbcType=VARCHAR},
      TYSHXYDM = #{tyshxydm,jdbcType=VARCHAR},
      QYMC = #{qymc,jdbcType=VARCHAR},
      LKLB = #{lklb,jdbcType=VARCHAR},
      JCRQ = #{jcrq,jdbcType=DATE},
      SJCR = #{sjcr,jdbcType=DECIMAL},
      KDYXCR = #{kdyxcr,jdbcType=DECIMAL},
      XZQHMC = #{xzqhmc,jdbcType=VARCHAR},
      XZQHDM = #{xzqhdm,jdbcType=VARCHAR},
      CFS = #{cfs,jdbcType=DECIMAL},
      YZKQS = #{yzkqs,jdbcType=DECIMAL},
      YGSL = #{ygsl,jdbcType=DECIMAL},
      YXGR = #{yxgr,jdbcType=DECIMAL},
      KDMJ = #{kdmj,jdbcType=DECIMAL},
      KDDH = #{kddh,jdbcType=VARCHAR},
      KDDZ = #{kddz,jdbcType=VARCHAR},
      KDCZ = #{kdcz,jdbcType=VARCHAR},
      KDYB = #{kdyb,jdbcType=VARCHAR},
      KDJD = #{kdjd,jdbcType=VARCHAR},
      KDWD = #{kdwd,jdbcType=VARCHAR},
      JLGLLB = #{jlgllb,jdbcType=VARCHAR},
      JLGLJL = #{jlgljl,jdbcType=DECIMAL},
      SFFHWRY = #{sffhwry,jdbcType=VARCHAR},
      YWXFSY = #{ywxfsy,jdbcType=VARCHAR},
      YWXFSS = #{ywxfss,jdbcType=VARCHAR},
      YWJHYS = #{ywjhys,jdbcType=VARCHAR},
      JCCSB_QCH = #{jccsbQch,jdbcType=DECIMAL},
      FHBZNX = #{fhbznx,jdbcType=DECIMAL},
      SFZNHSJGZ = #{sfznhsjgz,jdbcType=VARCHAR},
      BHCGZT = #{bhcgzt,jdbcType=DECIMAL},
      CGBH = #{cgbh,jdbcType=VARCHAR},
      CGRL = #{cgrl,jdbcType=DECIMAL},
      TLZYX = #{tlzyx,jdbcType=DECIMAL},
      YXCD = #{yxcd,jdbcType=DECIMAL},
      MTBW = #{mtbw,jdbcType=DECIMAL},
      ZDW = #{zdw,jdbcType=DECIMAL},
      PTFSSSQK = #{ptfsssqk,jdbcType=VARCHAR},
      ZCYZ = #{zcyz,jdbcType=DECIMAL},
      ZCPGXZ = #{zcpgxz,jdbcType=DECIMAL},
      BGCLLB = #{bgcllb,jdbcType=DECIMAL},
      SFBA = #{sfba,jdbcType=DECIMAL},
      SPYJ = #{spyj,jdbcType=VARCHAR},
      SHRYBH = #{shrybh,jdbcType=VARCHAR},
      SHRYMC = #{shrymc,jdbcType=VARCHAR},
      SHBMBH = #{shbmbh,jdbcType=VARCHAR},
      SHBMMC = #{shbmmc,jdbcType=VARCHAR},
      STATUS = #{status,jdbcType=DECIMAL},
      CREATOR = #{creator,jdbcType=VARCHAR},
      CREATOR_CODE = #{creatorCode,jdbcType=VARCHAR},
      CREATE_DATE = #{createDate,jdbcType=TIMESTAMP},
      REFRESHER = #{refresher,jdbcType=VARCHAR},
      REFRESHER_CODE = #{refresherCode,jdbcType=VARCHAR},
      REFRESH_TIME = #{refreshTime,jdbcType=TIMESTAMP},
      REMARK = #{remark,jdbcType=VARCHAR},
      BASJ = #{basj,jdbcType=DATE},
      LC_ID = #{lcId,jdbcType=VARCHAR}
      BADWMC = #{badwmc,jdbcType=VARCHAR}
      BADWDM = #{badwdm,jdbcType=VARCHAR}
      BADWDZ = #{badwdz,jdbcType=VARCHAR}
      BADWXZ = #{badwxz,jdbcType=VARCHAR}
      LSGX = #{lsgx,jdbcType=VARCHAR}
      BAQK = #{baqk,jdbcType=DECIMAL}
      FRDB = #{frdb,jdbcType=VARCHAR}
      LXDH = #{lxdh,jdbcType=VARCHAR}
      CGMC = #{cgmc,jdbcType=VARCHAR}
    where KDBABH = #{kdbabh,jdbcType=VARCHAR}
  </update>
 -->
 
 <!-- 
  <insert id="insertSelective" parameterType="com.unis.base.server.entity.SinkpointRecordsDO" >
    insert into D_KDXXSJY_HIS
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="kdbabh != null" >
        KDBABH,
      </if>
      <if test="kddm != null" >
        KDDM,
      </if>
      <if test="kdmc != null" >
        KDMC,
      </if>
      <if test="kdjc != null" >
        KDJC,
      </if>
      <if test="kdqyxz != null" >
        KDQYXZ,
      </if>
      <if test="tyshxydm != null" >
        TYSHXYDM,
      </if>
      <if test="qymc != null" >
        QYMC,
      </if>
      <if test="lklb != null" >
        LKLB,
      </if>
      <if test="jcrq != null" >
        JCRQ,
      </if>
      <if test="sjcr != null" >
        SJCR,
      </if>
      <if test="kdyxcr != null" >
        KDYXCR,
      </if>
      <if test="xzqhmc != null" >
        XZQHMC,
      </if>
      <if test="xzqhdm != null" >
        XZQHDM,
      </if>
      <if test="cfs != null" >
        CFS,
      </if>
      <if test="yzkqs != null" >
        YZKQS,
      </if>
      <if test="ygsl != null" >
        YGSL,
      </if>
      <if test="yxgr != null" >
        YXGR,
      </if>
      <if test="kdmj != null" >
        KDMJ,
      </if>
      <if test="kddh != null" >
        KDDH,
      </if>
      <if test="kddz != null" >
        KDDZ,
      </if>
      <if test="kdcz != null" >
        KDCZ,
      </if>
      <if test="kdyb != null" >
        KDYB,
      </if>
      <if test="kdjd != null" >
        KDJD,
      </if>
      <if test="kdwd != null" >
        KDWD,
      </if>
      <if test="jlgllb != null" >
        JLGLLB,
      </if>
      <if test="jlgljl != null" >
        JLGLJL,
      </if>
      <if test="sffhwry != null" >
        SFFHWRY,
      </if>
      <if test="ywxfsy != null" >
        YWXFSY,
      </if>
      <if test="ywxfss != null" >
        YWXFSS,
      </if>
      <if test="ywjhys != null" >
        YWJHYS,
      </if>
      <if test="jccsbQch != null" >
        JCCSB_QCH,
      </if>
      <if test="fhbznx != null" >
        FHBZNX,
      </if>
      <if test="sfznhsjgz != null" >
        SFZNHSJGZ,
      </if>
      <if test="bhcgzt != null" >
        BHCGZT,
      </if>
      <if test="cgbh != null" >
        CGBH,
      </if>
      <if test="cgrl != null" >
        CGRL,
      </if>
      <if test="tlzyx != null" >
        TLZYX,
      </if>
      <if test="yxcd != null" >
        YXCD,
      </if>
      <if test="mtbw != null" >
        MTBW,
      </if>
      <if test="zdw != null" >
        ZDW,
      </if>
      <if test="ptfsssqk != null" >
        PTFSSSQK,
      </if>
      <if test="zcyz != null" >
        ZCYZ,
      </if>
      <if test="zcpgxz != null" >
        ZCPGXZ,
      </if>
      <if test="bgcllb != null" >
        BGCLLB,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
      <if test="spyj != null" >
        SPYJ,
      </if>
      <if test="shrybh != null" >
        SHRYBH,
      </if>
      <if test="shrymc != null" >
        SHRYMC,
      </if>
      <if test="shbmbh != null" >
        SHBMBH,
      </if>
      <if test="shbmmc != null" >
        SHBMMC,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="refresher != null" >
        REFRESHER,
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE,
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
      <if test="basj != null" >
        BASJ,
      </if>
      <if test="lcId != null" >
        LC_ID,
      </if>
      <if test="badwmc != null" >
        BADWMC,
      </if>
      <if test="badwdm != null" >
        BADWDM,
      </if>
      <if test="badwdz != null" >
        BADWDZ,
      </if>
      <if test="badwxz != null" >
        BADWXZ,
      </if>
      <if test="lsgx != null" >
        LSGX,
      </if>
      <if test="baqk != null" >
        BAQK,
      </if>
      <if test="frdb != null" >
        FRDB,
      </if>
      <if test="lxdh != null" >
        LXDH,
      </if>
      <if test="cgmc != null" >
        CGMC,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="kdbabh != null" >
        #{kdbabh,jdbcType=VARCHAR},
      </if>
      <if test="kddm != null" >
        #{kddm,jdbcType=VARCHAR},
      </if>
      <if test="kdmc != null" >
        #{kdmc,jdbcType=VARCHAR},
      </if>
      <if test="kdjc != null" >
        #{kdjc,jdbcType=VARCHAR},
      </if>
      <if test="kdqyxz != null" >
        #{kdqyxz,jdbcType=VARCHAR},
      </if>
      <if test="tyshxydm != null" >
        #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="qymc != null" >
        #{qymc,jdbcType=VARCHAR},
      </if>
      <if test="lklb != null" >
        #{lklb,jdbcType=VARCHAR},
      </if>
      <if test="jcrq != null" >
        #{jcrq,jdbcType=DATE},
      </if>
      <if test="sjcr != null" >
        #{sjcr,jdbcType=DECIMAL},
      </if>
      <if test="kdyxcr != null" >
        #{kdyxcr,jdbcType=DECIMAL},
      </if>
      <if test="xzqhmc != null" >
        #{xzqhmc,jdbcType=VARCHAR},
      </if>
      <if test="xzqhdm != null" >
        #{xzqhdm,jdbcType=VARCHAR},
      </if>
      <if test="cfs != null" >
        #{cfs,jdbcType=DECIMAL},
      </if>
      <if test="yzkqs != null" >
        #{yzkqs,jdbcType=DECIMAL},
      </if>
      <if test="ygsl != null" >
        #{ygsl,jdbcType=DECIMAL},
      </if>
      <if test="yxgr != null" >
        #{yxgr,jdbcType=DECIMAL},
      </if>
      <if test="kdmj != null" >
        #{kdmj,jdbcType=DECIMAL},
      </if>
      <if test="kddh != null" >
        #{kddh,jdbcType=VARCHAR},
      </if>
      <if test="kddz != null" >
        #{kddz,jdbcType=VARCHAR},
      </if>
      <if test="kdcz != null" >
        #{kdcz,jdbcType=VARCHAR},
      </if>
      <if test="kdyb != null" >
        #{kdyb,jdbcType=VARCHAR},
      </if>
      <if test="kdjd != null" >
        #{kdjd,jdbcType=VARCHAR},
      </if>
      <if test="kdwd != null" >
        #{kdwd,jdbcType=VARCHAR},
      </if>
      <if test="jlgllb != null" >
        #{jlgllb,jdbcType=VARCHAR},
      </if>
      <if test="jlgljl != null" >
        #{jlgljl,jdbcType=DECIMAL},
      </if>
      <if test="sffhwry != null" >
        #{sffhwry,jdbcType=VARCHAR},
      </if>
      <if test="ywxfsy != null" >
        #{ywxfsy,jdbcType=VARCHAR},
      </if>
      <if test="ywxfss != null" >
        #{ywxfss,jdbcType=VARCHAR},
      </if>
      <if test="ywjhys != null" >
        #{ywjhys,jdbcType=VARCHAR},
      </if>
      <if test="jccsbQch != null" >
        #{jccsbQch,jdbcType=DECIMAL},
      </if>
      <if test="fhbznx != null" >
        #{fhbznx,jdbcType=DECIMAL},
      </if>
      <if test="sfznhsjgz != null" >
        #{sfznhsjgz,jdbcType=VARCHAR},
      </if>
      <if test="bhcgzt != null" >
        #{bhcgzt,jdbcType=DECIMAL},
      </if>
      <if test="cgbh != null" >
        #{cgbh,jdbcType=VARCHAR},
      </if>
      <if test="cgrl != null" >
        #{cgrl,jdbcType=DECIMAL},
      </if>
      <if test="tlzyx != null" >
        #{tlzyx,jdbcType=DECIMAL},
      </if>
      <if test="yxcd != null" >
        #{yxcd,jdbcType=DECIMAL},
      </if>
      <if test="mtbw != null" >
        #{mtbw,jdbcType=DECIMAL},
      </if>
      <if test="zdw != null" >
        #{zdw,jdbcType=DECIMAL},
      </if>
      <if test="ptfsssqk != null" >
        #{ptfsssqk,jdbcType=VARCHAR},
      </if>
      <if test="zcyz != null" >
        #{zcyz,jdbcType=DECIMAL},
      </if>
      <if test="zcpgxz != null" >
        #{zcpgxz,jdbcType=DECIMAL},
      </if>
      <if test="bgcllb != null" >
        #{bgcllb,jdbcType=DECIMAL},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
      <if test="basj != null" >
        #{basj,jdbcType=DATE},
      </if>
      <if test="lcId != null" >
        #{lcId,jdbcType=VARCHAR},
      </if>
      <if test="badwmc != null" >
        #{badwmc,jdbcType=VARCHAR},
      </if>
      <if test="badwdm != null" >
        #{badwdm,jdbcType=VARCHAR},
      </if>
      <if test="badwdz != null" >
        #{badwdz,jdbcType=VARCHAR},
      </if>
      <if test="badwxz != null" >
        #{badwxz,jdbcType=VARCHAR},
      </if>
      <if test="lsgx != null" >
        #{lsgx,jdbcType=VARCHAR},
      </if>
      <if test="baqk != null" >
        #{baqk,jdbcType=DECIMAL},
      </if>
      <if test="frdb != null" >
        #{frdb,jdbcType=VARCHAR},
      </if>
      <if test="lxdh != null" >
        #{lxdh,jdbcType=VARCHAR},
      </if>
      <if test="cgmc != null" >
        #{cgmc,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
 -->
  <!--
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from D_KDXXSJY_HIS
    where KDBABH = #{kdbabh,jdbcType=VARCHAR}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.String" >
    delete from D_KDXXSJY_HIS
    where KDBABH = #{kdbabh,jdbcType=VARCHAR}
  </delete>
  <insert id="insert" parameterType="com.unis.base.server.entity.SinkpointRecordsDO" >
    insert into D_KDXXSJY_HIS (KDBABH, KDDM, KDMC, 
      KDJC, KDQYXZ, TYSHXYDM, 
      QYMC, LKLB, JCRQ, 
      SJCR, KDYXCR, XZQHMC, 
      XZQHDM, CFS, YZKQS, 
      YGSL, YXGR, KDMJ, KDDH, 
      KDDZ, KDCZ, KDYB, KDJD, 
      KDWD, JLGLLB, JLGLJL, 
      SFFHWRY, YWXFSY, YWXFSS, 
      YWJHYS, JCCSB_QCH, FHBZNX, 
      SFZNHSJGZ, BHCGZT, CGBH, 
      CGRL, TLZYX, YXCD, 
      MTBW, ZDW, PTFSSSQK, 
      ZCYZ, ZCPGXZ, BGCLLB, 
      SFBA, SPYJ, SHRYBH, 
      SHRYMC, SHBMBH, SHBMMC, 
      STATUS, CREATOR, CREATOR_CODE, 
      CREATE_DATE, REFRESHER, REFRESHER_CODE, 
      REFRESH_TIME, REMARK, BASJ, LC_ID
      )
    values (#{kdbabh,jdbcType=VARCHAR}, #{kddm,jdbcType=VARCHAR}, #{kdmc,jdbcType=VARCHAR}, 
      #{kdjc,jdbcType=VARCHAR}, #{kdqyxz,jdbcType=VARCHAR}, #{tyshxydm,jdbcType=VARCHAR}, 
      #{qymc,jdbcType=VARCHAR}, #{lklb,jdbcType=VARCHAR}, #{jcrq,jdbcType=DATE},
      #{sjcr,jdbcType=DECIMAL}, #{kdyxcr,jdbcType=DECIMAL}, #{xzqhmc,jdbcType=VARCHAR}, 
      #{xzqhdm,jdbcType=VARCHAR}, #{cfs,jdbcType=DECIMAL}, #{yzkqs,jdbcType=DECIMAL}, 
      #{ygsl,jdbcType=DECIMAL}, #{yxgr,jdbcType=DECIMAL}, #{kdmj,jdbcType=DECIMAL}, #{kddh,jdbcType=VARCHAR}, 
      #{kddz,jdbcType=VARCHAR}, #{kdcz,jdbcType=VARCHAR}, #{kdyb,jdbcType=VARCHAR}, #{kdjd,jdbcType=VARCHAR}, 
      #{kdwd,jdbcType=VARCHAR}, #{jlgllb,jdbcType=VARCHAR}, #{jlgljl,jdbcType=DECIMAL}, 
      #{sffhwry,jdbcType=VARCHAR}, #{ywxfsy,jdbcType=VARCHAR}, #{ywxfss,jdbcType=VARCHAR}, 
      #{ywjhys,jdbcType=VARCHAR}, #{jccsbQch,jdbcType=DECIMAL}, #{fhbznx,jdbcType=DECIMAL}, 
      #{sfznhsjgz,jdbcType=VARCHAR}, #{bhcgzt,jdbcType=DECIMAL}, #{cgbh,jdbcType=VARCHAR}, 
      #{cgrl,jdbcType=DECIMAL}, #{tlzyx,jdbcType=DECIMAL}, #{yxcd,jdbcType=DECIMAL}, 
      #{mtbw,jdbcType=DECIMAL}, #{zdw,jdbcType=DECIMAL}, #{ptfsssqk,jdbcType=VARCHAR}, 
      #{zcyz,jdbcType=DECIMAL}, #{zcpgxz,jdbcType=DECIMAL}, #{bgcllb,jdbcType=DECIMAL}, 
      #{sfba,jdbcType=DECIMAL}, #{spyj,jdbcType=VARCHAR}, #{shrybh,jdbcType=VARCHAR}, 
      #{shrymc,jdbcType=VARCHAR}, #{shbmbh,jdbcType=VARCHAR}, #{shbmmc,jdbcType=VARCHAR}, 
      #{status,jdbcType=DECIMAL}, #{creator,jdbcType=VARCHAR}, #{creatorCode,jdbcType=VARCHAR}, 
      #{createDate,jdbcType=TIMESTAMP}, #{refresher,jdbcType=VARCHAR}, #{refresherCode,jdbcType=VARCHAR}, 
      #{refreshTime,jdbcType=TIMESTAMP}, #{remark,jdbcType=VARCHAR}, #{basj,jdbcType=DATE},
      #{lcId,jdbcType=VARCHAR})
  </insert>
  -->

</mapper>